DefaultMimeTypeResolver (Grails 6.0.0)

Package: org.grails.web.mime

## [Groovy] Class DefaultMimeTypeResolver

- org.grails.web.mime.DefaultMimeTypeResolver

- All Implemented Interfaces and Traits:
    MimeTypeResolver

      @groovy.transform.CompileStatic
      class DefaultMimeTypeResolver
      extends java.lang.Object
      implements MimeTypeResolver

  Resolves the MimeType instance for a request

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultMimeTypeResolver ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `MimeType` | `resolveRequestMimeType(GrailsWebRequest webRequest)` Resolve the MimeType to be used for the request, typically established from the CONTENT_TYPE header
    `` | `MimeType` | `resolveResponseMimeType(GrailsWebRequest webRequest)` Resolve the MimeType to be used for the response, typically established from the ACCEPT header

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### DefaultMimeTypeResolver()

  - ### Method Detail

    - #### @java.lang.Override MimeType resolveRequestMimeType(GrailsWebRequest webRequest)

      Resolve the MimeType to be used for the request, typically established from the CONTENT_TYPE header

      Since:
        2.3
      Returns:
        the MimeType

    - #### @java.lang.Override MimeType resolveResponseMimeType(GrailsWebRequest webRequest)

      Resolve the MimeType to be used for the response, typically established from the ACCEPT header

      Since:
        2.3
      Returns:
        the MimeType